Fix the yq based validation checks 44/13044/1 master
authoraravind.est <aravindhan.a@est.tech>
Wed, 26 Jun 2024 15:20:45 +0000 (16:20 +0100)
committeraravind.est <aravindhan.a@est.tech>
Wed, 26 Jun 2024 15:20:45 +0000 (16:20 +0100)
Upgrade yq version
Fix the permission issues when reading the file

Issue-ID: NONRTRIC-994
Change-Id: I463c71258a775122faf17d9caf28780947b6c546
Signed-off-by: aravind.est <aravindhan.a@est.tech>
bin/deploy-nonrtric
smo-install/scripts/sub-scripts/install-nonrtric.sh

index e0c3306..2b88363 100755 (executable)
@@ -52,22 +52,22 @@ fi
 
 if ! command -v yq > /dev/null 2>&1; then
     echo "yq is not installed. Installing yq..."
-    sudo snap install yq --channel=v3/stable
+    sudo snap install yq --channel=v4/stable
 fi
 
-INSTALL_KONG=$(yq read "$OVERRIDEYAML" 'nonrtric.installKong')
+INSTALL_KONG=$(cat $OVERRIDEYAML | yq e '.nonrtric.installKong' -)
 if [ $? -ne 0 ] || [ -z "$INSTALL_KONG"  ]; then
     echo "Error: failed to parse installKong from YAML with yq. Aborting install."
     exit 1
 fi
 
-INSTALL_CAPIF=$(yq read "$OVERRIDEYAML" 'nonrtric.installCapifcore')
+INSTALL_CAPIF=$(cat $OVERRIDEYAML | yq e '.nonrtric.installCapifcore' -)
 if [ $? -ne 0 ] || [ -z "$INSTALL_CAPIF"  ]; then
     echo "Error: failed to parse installCapifcore from YAML with yq. Aborting install."
     exit 1
 fi
 
-INSTALL_SERVICEMANAGER=$(yq read "$OVERRIDEYAML" 'nonrtric.installServicemanager')
+INSTALL_SERVICEMANAGER=$(cat $OVERRIDEYAML | yq e '.nonrtric.installServicemanager' -)
 if [ $? -ne 0 ] || [ -z "$INSTALL_SERVICEMANAGER"  ]; then
     echo "Error: failed to parse installServicemanager from YAML with yq. Aborting install."
     exit 1
index 97479d0..d91243d 100755 (executable)
@@ -30,22 +30,22 @@ OVERRIDEYAML=$1
 
 if ! command -v yq > /dev/null 2>&1; then
     echo "yq is not installed. Installing yq..."
-    sudo snap install yq --channel=v3/stable
+    sudo snap install yq --channel=v4/stable
 fi
 
-INSTALL_KONG=$(yq read "$OVERRIDEYAML" 'nonrtric.installKong')
+INSTALL_KONG=$(cat $OVERRIDEYAML | yq e '.nonrtric.installKong' -)
 if [ $? -ne 0 ] || [ -z "$INSTALL_KONG"  ]; then
     echo "Error: failed to parse installKong from YAML with yq. Aborting install."
     exit 1
 fi
 
-INSTALL_CAPIF=$(yq read "$OVERRIDEYAML" 'nonrtric.installCapifcore')
+INSTALL_CAPIF=$(cat $OVERRIDEYAML | yq e '.nonrtric.installCapifcore' -)
 if [ $? -ne 0 ] || [ -z "$INSTALL_CAPIF"  ]; then
     echo "Error: failed to parse installCapifcore from YAML with yq. Aborting install."
     exit 1
 fi
 
-INSTALL_SERVICEMANAGER=$(yq read "$OVERRIDEYAML" 'nonrtric.installServicemanager')
+INSTALL_SERVICEMANAGER=$(cat $OVERRIDEYAML | yq e '.nonrtric.installServicemanager' -)
 if [ $? -ne 0 ] || [ -z "$INSTALL_SERVICEMANAGER"  ]; then
     echo "Error: failed to parse installServicemanager from YAML with yq. Aborting install."
     exit 1